Saltar al contenido
Esc
↑↓navegar↵abrir⌘Jvista previa

List inboxes

The team’s inboxes, newest first (after pages toward older ones). An inbox-scoped key lists only its inbox.

GET/inboxes
Autorización
AuthorizationToken Bearer · headerobligatorio

A BillionSend API key (bs_…).

Parámetros de consulta
limitinteger

Page size, 1-100 (default 20)

mín. 1 · máx. 100
afterstring<uuid>

Cursor: id of the last item of the current page; returns the next page. Must be an id this list returned; there is no sentinel value.

beforestring<uuid>

Cursor: id of the first item of the current page; returns the previous page; same rule as after.

kindstring

BillionSend extension: agent or human inboxes only

Valores permitidos:agenthuman
Respuestas
200

Inboxes

objectstringobligatorio
Valores permitidos:list
has_morebooleanobligatorio
dataobject[]obligatorio
Mostrar propiedades
Array de object
idstring<uuid>obligatorio
namestring | nullobligatorio
email_addressstringobligatorio
from_namestring | nullobligatorio
unreadintegerobligatorio
last_receivedstring | nullobligatorio
created_atstringobligatorio
updated_atstringobligatorio
kindstringobligatorio
Valores permitidos:agenthuman
sharedbooleanobligatorio
expires_atstring | nullobligatorio
401

Missing, malformed, unknown or revoked API key

statusCodenumberobligatorio
namestringobligatorio
messagestringobligatorio
404

Pagination cursor not found

statusCodenumberobligatorio
namestringobligatorio
messagestringobligatorio
422

Validation error

statusCodenumberobligatorio
namestringobligatorio
messagestringobligatorio
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberobligatorio
namestringobligatorio
messagestringobligatorio
Pruébalo
Servidor
Autorización
Parámetros
Solicitud
curl -X GET 'https://api.billionsend.com/inboxes' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Respuesta
{
  "object": "list",
  "has_more": true,
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "email_address": "string",
      "from_name": "string",
      "unread": 0,
      "last_received": "string",
      "created_at": "string",
      "updated_at": "string",
      "kind": "agent",
      "shared": true,
      "expires_at": "string"
    }
  ]
}

¿Te ha resultado útil esta página?